> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/overrides.md).

# Overrides

Access and modify Overrides for Security Issues

## GET /api/v2/overrides

> List a collection of Overrides

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Overrides","description":"Access and modify Overrides for Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"OverridesListOverridesResponseBody":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Override"}}},"required":["results","pagination"]},"Pagination":{"type":"object","properties":{"link":{"type":"string","description":"Link-based paging"},"page":{"type":"integer","description":"Page number (starting from 0)","format":"int64"},"pageSize":{"type":"integer","description":"Requested page size","format":"int64"},"totalItems":{"type":"integer","description":"Total results available","format":"int64"},"totalPages":{"type":"integer","description":"Total pages available","format":"int64"}},"required":["page","pageSize","totalPages","totalItems"]},"Override":{"type":"object","properties":{"approverId":{"type":"string","description":"User ID of the user who approved this Exemption"},"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"isDeleted":{"type":"boolean","description":"States if the override is deleted","default":false},"issueId":{"type":"string","description":"The ID of the Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"lastModified":{"type":"integer","description":"Unix timestamp at which the resource was most recently modified","format":"int64"},"link":{"type":"string","description":"Link to a related ticket","maxLength":1024},"occurrences":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Array of occurrence Ids"},"orgId":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"overrideFieldName":{"type":"string","description":"Name of the field that is being overridden","maxLength":1024},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"projectId":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterId":{"type":"string","description":"User ID of the user who requested this Exemption"},"scanId":{"type":"string","description":"ID of the Harness Scan to determine all the occurrences for the scan-issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"scope":{"type":"string","description":"States the scope for the override","enum":["PROJECT","TARGET"]},"search":{"type":"string","description":"Search parameter to find filtered occurrences of the issue","maxLength":256},"status":{"type":"string","description":"Approval status of Override","default":"Pending","enum":["Pending","Approved","Rejected","Expired","Canceled"]},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},"description":"Information about an Override","required":["issueId","reason","requesterId","overrideFieldName","overrideFieldValue","status"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/overrides":{"get":{"tags":["Overrides"],"description":"List a collection of Overrides","operationId":"Overrides#ListOverrides","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"page","in":"query","description":"Page number to fetch (starting from 0)","allowEmptyValue":true,"schema":{"type":"integer","description":"Page number to fetch (starting from 0)","default":0,"format":"int64","minimum":0}},{"name":"pageSize","in":"query","description":"Number of results per page","allowEmptyValue":true,"schema":{"type":"integer","description":"Number of results per page","default":30,"format":"int64","minimum":1,"maximum":100}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverridesListOverridesResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## POST /api/v2/overrides

> Create a new Override

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Overrides","description":"Access and modify Overrides for Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"CreateOverrideRequestBody":{"type":"object","properties":{"issueId":{"type":"string","description":"The ID of the Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"link":{"type":"string","description":"Link to a related ticket","maxLength":1024},"occurrences":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Array of occurrence Ids"},"overrideFieldName":{"type":"string","description":"Name of the field that is being overridden","maxLength":1024},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"overrideFutureOccurrences":{"type":"boolean","description":"States if the user wants to override future occurrences of the issue","default":true},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterId":{"type":"string","description":"User ID of the user who requested this Exemption"},"scanId":{"type":"string","description":"ID of the Harness Scan to determine all the occurrences for the scan-issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"search":{"type":"string","description":"Search parameter to find filtered occurrences of the issue","maxLength":256},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},"required":["issueId","reason","requesterId","overrideFieldName","overrideFieldValue","status"]},"ExemptionRulesCreateExemptionRuleResponseBody":{"$ref":"#/components/schemas/IDResult"},"IDResult":{"type":"object","properties":{"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"}},"required":["id"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/overrides":{"post":{"tags":["Overrides"],"description":"Create a new Override","operationId":"Overrides#CreateOverride","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOverrideRequestBody"}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExemptionRulesCreateExemptionRuleResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## GET /api/v2/overrides/{id}

> Find Override by ID

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Overrides","description":"Access and modify Overrides for Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"Override":{"type":"object","properties":{"approverId":{"type":"string","description":"User ID of the user who approved this Exemption"},"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"isDeleted":{"type":"boolean","description":"States if the override is deleted","default":false},"issueId":{"type":"string","description":"The ID of the Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"lastModified":{"type":"integer","description":"Unix timestamp at which the resource was most recently modified","format":"int64"},"link":{"type":"string","description":"Link to a related ticket","maxLength":1024},"occurrences":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Array of occurrence Ids"},"orgId":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"overrideFieldName":{"type":"string","description":"Name of the field that is being overridden","maxLength":1024},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"projectId":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterId":{"type":"string","description":"User ID of the user who requested this Exemption"},"scanId":{"type":"string","description":"ID of the Harness Scan to determine all the occurrences for the scan-issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"scope":{"type":"string","description":"States the scope for the override","enum":["PROJECT","TARGET"]},"search":{"type":"string","description":"Search parameter to find filtered occurrences of the issue","maxLength":256},"status":{"type":"string","description":"Approval status of Override","default":"Pending","enum":["Pending","Approved","Rejected","Expired","Canceled"]},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},"description":"Information about an Override","required":["issueId","reason","requesterId","overrideFieldName","overrideFieldValue","status"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/overrides/{id}":{"get":{"tags":["Overrides"],"description":"Find Override by ID","operationId":"Overrides#FindOverrideById","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"executionId","in":"query","description":"Harness Execution ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Execution ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"id","in":"path","description":"The ID of the Override to retrieve","required":true,"schema":{"type":"string","description":"The ID of the Override to retrieve","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Override"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```

## PUT /api/v2/overrides/{id}

> Update an existing Override

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Overrides","description":"Access and modify Overrides for Security Issues"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"UpdateOverrideRequestBody":{"type":"object","properties":{"link":{"type":"string","description":"Link to a related ticket","maxLength":1024},"overrideFieldName":{"type":"string","description":"Name of the field that is being overridden","maxLength":1024},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterId":{"type":"string","description":"User ID of the user who requested this Exemption"},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},"required":["reason","requesterId","overrideFieldName","overrideFieldValue","issueId","status"]},"Override":{"type":"object","properties":{"approverId":{"type":"string","description":"User ID of the user who approved this Exemption"},"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"isDeleted":{"type":"boolean","description":"States if the override is deleted","default":false},"issueId":{"type":"string","description":"The ID of the Security Issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"lastModified":{"type":"integer","description":"Unix timestamp at which the resource was most recently modified","format":"int64"},"link":{"type":"string","description":"Link to a related ticket","maxLength":1024},"occurrences":{"type":"array","items":{"type":"integer","format":"int64"},"description":"Array of occurrence Ids"},"orgId":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"overrideFieldName":{"type":"string","description":"Name of the field that is being overridden","maxLength":1024},"overrideFieldValue":{"type":"string","description":"Value of the field that is being overridden","maxLength":1024},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"projectId":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"reason":{"type":"string","description":"Text describing why this override is necessary","maxLength":1024},"requesterId":{"type":"string","description":"User ID of the user who requested this Exemption"},"scanId":{"type":"string","description":"ID of the Harness Scan to determine all the occurrences for the scan-issue","pattern":"^[a-zA-Z0-9_-]{22}$"},"scope":{"type":"string","description":"States the scope for the override","enum":["PROJECT","TARGET"]},"search":{"type":"string","description":"Search parameter to find filtered occurrences of the issue","maxLength":256},"status":{"type":"string","description":"Approval status of Override","default":"Pending","enum":["Pending","Approved","Rejected","Expired","Canceled"]},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},"description":"Information about an Override","required":["issueId","reason","requesterId","overrideFieldName","overrideFieldValue","status"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/overrides/{id}":{"put":{"tags":["Overrides"],"description":"Update an existing Override","operationId":"Overrides#UpdateOverride","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"required":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"orgId","in":"query","description":"Harness Organization ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Organization ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"projectId","in":"query","description":"Harness Project ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Project ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128}},{"name":"id","in":"path","description":"The ID of the Override to update","required":true,"schema":{"type":"string","description":"The ID of the Override to update","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOverrideRequestBody"}}}},"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Override"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```
